PeopleForce
Employees

Update an employee compensation adjustment

PATCH
/api/public/v3/employees/{employee_id}/adjustments/{id}

Path Parameters

employee_id*integer
Formatint64
id*integer
Formatint64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/public/v3/employees/0/adjustments/0" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": 0,    "employee_id": 0,    "type": "addition",    "payout_type": "once_off",    "frequency": "daily",    "amount": "string",    "currency_code": "string",    "starts_on": "2019-08-24",    "ends_on": "2019-08-24",    "description": "string",    "compensation_component": {      "id": 0,      "name": "string",      "code": "string",      "payout_type": "once_off",      "frequency": "hourly"    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}